Subject: bug#20817: 25.0.50; Problems with upgrading of packages

From: Artur Malabarba <[email-masked]>
Date: Thu, 18 Jun 2015 13:50:17 +0100

Your melpa address is outdated. Try changing it to melpa.org/packages

2015-06-18 7:54 GMT+01:00 Mark Karpov <[email-masked]>:
>
> After a recent fix, packages are still unavailable for me, but error
> message has changed to:
>
>   error in process filter: peculiar error: 404
>
> I'm sorry that I didn't investigate the problem immediately. Previously,
> it seemed like even when I start Emacs with -Q flag the problem is
> there. Now, when I start it without my configuration file it works fine.
>
> So, there is something in my configuration file that conflicts with the
> recent changes. I have to say that it worked until now, so theoretically
> it should work after the improvements too.
>
> I've found out that this code suffices to break package
> upgrading/displaying (all the stuff is quite trivial):
>
> (setq
>  package-selected-packages
>  ;; I prefer setting it explicitly, I even filter arguments of
>  ;; ‘package-install’ so it never adds anything to this list,
>  ;; but that advice doesn't cause the problem
>  '(ace-window
>    aggressive-indent
>    auctex
>    avy
>    buffer-move
>    cider
>    common-lisp-snippets
>    fix-word
>    flycheck
>    flycheck-haskell
>    ghc
>    gitignore-mode
>    haskell-mode
>    ido-hacks
>    ido-ubiquitous
>    ido-vertical-mode
>    magit
>    markdown-mode
>    multiple-cursors
>    prolog
>    rainbow-delimiters
>    smartparens
>    smex
>    solarized-theme
>    whole-line-or-region
>    yasnippet))
>
> (require 'package)
>
> (add-to-list
>  'package-archives '("melpa" . "http://melpa.milkbox.net/packages/"))
>
> (package-initialize)
>
> (unless package-archive-contents
>   (package-refresh-contents))
>
> ;; I know about new function ‘package-install-selected-packages’, but
> ;; I don't like it, it asks questions and I don't remember now, but
> ;; there were other problems with it, so I do install stuff manually
>
> (dolist (package package-selected-packages)
>   (unless (package-installed-p package)
>     (package-install package)))
>
> You can now build Emacs, evaluate buffer with this code and try it. The
> problem can be further narrowed, I'm sure, but I have no idea what's
> going on under the hood, so you can do it better than me. Tell me if
> this code doesn't reproduce the problem for you.
>
> Also, answering question from the previous email,
> ‘package-refresh-contents’ works fine.
>
>
>